gr::mapper Namespace Reference

## Classes

class | constellation
class | demapper
| <+description of block+> More...
class | demapper_impl
class | demapper_msg
| <+description of block+> More...
class | demapper_msg_impl
class | demapper_soft
| <+description of block+> More...
class | demapper_soft_impl
class | mapper
| <+description of block+> More...
class | mapper_impl
class | mapper_msg
| <+description of block+> More...
class | mapper_msg_impl
class | pream_sync_correlator
class | preamble_generator
class | preamble_insert_bb
class | preamble_insert_bb_impl
class | preamble_strip
| <+description of block+> More...
class | preamble_strip_impl
class | preamble_sync_cc
| <+description of block+> More...
class | preamble_sync_cc_impl
class | preamble_sync_demapper
| <+description of block+> More...
class | preamble_sync_demapper_hard
| <+description of block+> More...
class | preamble_sync_demapper_hard_impl
class | preamble_sync_demapper_impl
class | timeslot_demux
| <+description of block+> More...
class | timeslot_demux_impl

## Enumerations

enum | modtype_t { BPSK =0 , P2BPSK =1 , QPSK =2 , PSK8 =3 , PAM4 =4 , QAM16 =5 , QAM64 =6 }

## Variables

const int | default_greymap_bpsk [2] = {0,1}
const int | default_greymap_qpsk [4] = {0,1,3,2}
const int | default_greymap_psk8 [8] = {0,1,3,2,7,6,4,5}
const int | default_greymap_pam4 [4] = {0,1,3,2}
const int | default_greymap_qam16 [16] = {2,6,14,10,3,7,15,11,1,5,13,9,0,4,12,8}
const int | default_greymap_qam64 [64] = {0,32,8,40,3,35,11,43,48,16,56,24,51,19,59,27,12,44,4,36,15,47,7,39,60,28,52,20,63,31,55,23,2,34,10,42,1,33,9,41,50,18,58,26,49,17,57,25,14,46,6,38,13,45,5,37,62,30,54,22,61,29,53,21}

## Enumeration Type Documentation

## modtype_t

enum gr::mapper::modtype_t

Enumerator
BPSK |
P2BPSK |
QPSK |
PSK8 |
PAM4 |
QAM16 |
QAM64 |

## Variable Documentation

## default_greymap_bpsk

const int gr::mapper::default_greymap_bpsk[2] = {0,1}

## default_greymap_pam4

const int gr::mapper::default_greymap_pam4[4] = {0,1,3,2}

## default_greymap_psk8

const int gr::mapper::default_greymap_psk8[8] = {0,1,3,2,7,6,4,5}

## default_greymap_qam16

const int gr::mapper::default_greymap_qam16[16] = {2,6,14,10,3,7,15,11,1,5,13,9,0,4,12,8}

## default_greymap_qam64

const int gr::mapper::default_greymap_qam64[64] = {0,32,8,40,3,35,11,43,48,16,56,24,51,19,59,27,12,44,4,36,15,47,7,39,60,28,52,20,63,31,55,23,2,34,10,42,1,33,9,41,50,18,58,26,49,17,57,25,14,46,6,38,13,45,5,37,62,30,54,22,61,29,53,21}

## default_greymap_qpsk

const int gr::mapper::default_greymap_qpsk[4] = {0,1,3,2}